#############################################################################
##
#W  PackageInfo.g           The CIRCLE package            Alexander Konovalov
##                                                          Panagiotis Soules
##
#H  $Id: PackageInfo.g,v 1.4 2006/08/18 12:35:39 alexk Exp $
##
#############################################################################

SetPackageInfo( rec(

PackageName := "Circle",
Subtitle := "Adjoint groups of finite radical algebras",
Version := "1.1",
Date := "16/08/2006",
ArchiveURL := "http://homepages.vub.ac.be/~okonoval/circle/circle-1.1",
ArchiveFormats := ".tar.gz .tar.bz2 -win.zip",

#TextFiles := ["init.g", ......],
#BinaryFiles := ["doc/manual.dvi", ......],

Persons := [
  rec(
    LastName      := "Konovalov",
    FirstNames    := "Alexander",
    IsAuthor      := true,
    IsMaintainer  := true,
    Email         := "konovalov@member.ams.org",
    WWWHome       := "http://homepages.vub.ac.be/~okonoval/",
    PostalAddress := Concatenation( [
                     "Department of Mathematics\n",
                     "Vrije Universiteit Brussel\n", 
                     "Pleinlaan 2, Brussels, B-1050 Belgium" ] ),
    Place         := "Brussels",
    Institution   := "Vrije Universiteit Brussel"
     ),
  rec(
    LastName := "Soules",
    FirstNames := "Panagiotis",
    IsAuthor := true,
    IsMaintainer := false,
    Email := "psoules@math.uoa.gr",
    PostalAddress := Concatenation( [
                     "Panepistimioupolis\n",
                     "GR-15784, Athens, Greece" ] ),
    Place         := "Athens",
    Institution   := "National and Capodistrian University of Athens"              
     )
],

Status := "deposited",
#CommunicatedBy := "",
#AcceptDate := "",

README_URL := "http://homepages.vub.ac.be/~okonoval/circle/README.circle",
PackageInfoURL := "http://homepages.vub.ac.be/~okonoval/circle/PackageInfo.g",
AbstractHTML := "The <span class=\"pkgname\">Circle</span> package provides functionality for computations in adjoint groups of associative rings. It allows to construct circle objects that will respect the circle multiplication r*s=r+s+rs, create multiplicative groups, generated by such objects, and compute groups of elements, invertible with respect to this operation, for finite radical algebras and finite associative rings without one",
PackageWWWHome := "http://homepages.vub.ac.be/~okonoval/circle.htm",
                  
PackageDoc := rec(
  BookName := "Circle",
  ArchiveURLSubset := ["doc"],
  HTMLStart := "doc/chap0.html",
  PDFFile := "doc/manual.pdf",
  SixFile := "doc/manual.six",
  LongTitle := "Adjoint groups of finite radical algebras",
  Autoload := true
),

Dependencies := rec(
  GAP := ">=4.4",
  NeededOtherPackages := [ ["GAPDoc", ">= 0.999"] ],
  SuggestedOtherPackages := [],
  ExternalConditions := []
),

AvailabilityTest := ReturnTrue,
Autoload := false,
#TestFile := "tst/testall.g",

Keywords := ["circle multiplication", "star multiplication", 
             "adjoint group", "radical algebra"]
));