#############################################################################
##
#W  PackageInfo.g                 GAP 4 Package `kan'           Chris Wensley
#W                                                              Anne Heyworth
##
#H  @(#)$Id: PackageInfo.g,v 0.94 2006/06/02 gap Exp $
##


SetPackageInfo( rec(
PackageName := "kan",
Subtitle := "including double coset rewriting systems",

Version := "0.94",
Date := "02/06/2006",
ArchiveURL := Concatenation( [ 
  "http://www.informatics.bangor.ac.uk/public/mathematics/chda/kan/kan.",
  ~.Version ] ), 
ArchiveFormats := ".tar.gz",

TextFiles := ["init.g", "read.g"],
BinaryFiles := ["doc/manual.dvi"],

Persons := [
  rec(
    LastName      := "Heyworth",
    FirstNames    := "Anne",
    IsAuthor      := true,
    IsMaintainer  := false,
    Email         := "a.heyworth@mcs.le.ac.uk",
    ## WWWHome       := "",
    ## PostalAddress := Concatenation( ["\n", "UK"] ),
    ## Place         := "",
    Institution   := "University of Leicester"
  ),
  rec(
    LastName      := "Wensley",
    FirstNames    := "Christopher D.",
    IsAuthor      := true,
    IsMaintainer  := true,
    Email         := "c.d.wensley@bangor.ac.uk",
    WWWHome       := "http://www.informatics.bangor.ac.uk/~cwensley/",
    PostalAddress := Concatenation( [
                       "Dr. C.D. Wensley\n",
                       "Department of Mathematics\n",
                       "University of Wales, Bangor\n",
                       "Dean Street\n",
                       "Bangor\n",
                       "Gwynedd LL57 1UT\n",
                       "UK"] ),
    Place         := "Bangor",
    Institution   := "University of Wales, Bangor"
  )
],

Status := "deposited",
## CommunicatedBy := "",
## AcceptDate := "",

README_URL := 
  "http://www.informatics.bangor.ac.uk/public/mathematics/chda/kan/README",
PackageInfoURL :=
  "http://www.informatics.bangor.ac.uk/public/mathematics/chda/kan/PackageInfo.g",

AbstractHTML :=
 "The Kan package provides a collection of functions for computing with \
  all types of Kan extension, including double coset rewriting systems.",

PackageWWWHome := 
  "http://www.informatics.bangor.ac.uk/public/mathematics/chda/kan/kan094.html",

PackageDoc := rec(
  BookName  := "Kan",
  ArchiveURLSubset := ["doc"],
  HTMLStart := "doc/chap0.html",
  PDFFile   := "doc/manual.pdf",
  SixFile   := "doc/manual.six",
  LongTitle := "Computing with Kan extensions",
  Autoload  := true
),

Dependencies := rec(
  GAP := ">=4.4",
  NeededOtherPackages := [ [ "automata", ">= 1.06" ], 
                             [ "GAPDoc", ">= 0.999" ] ],
  SuggestedOtherPackages := [ [ "kbmag", ">= 1.3" ] ],
  ExternalConditions := [ ]
),

AvailabilityTest := ReturnTrue,

BannerString := Concatenation(
  "--------------------------------------------------------------\n",
  "loading Kan 0.94 for GAP 4.4 - Anne Heyworth and Chris Wensley\n",
  "--------------------------------------------------------------\n" ),

Autoload := false,

TestFile := "tst/kan_manual.tst",

Keywords := [ "Kan extension", "double coset rewriting system", 
              "induced action" ]

));
