############################################################################
##
#W  basicsViz.gd                           Manuel Delgado <mdelgado@fc.up.pt>
#W                                      Jose Morais    <jjoao@netcabo.pt>
##
#H  @(#)$Id: basicsViz.gd,v 0.993 $
##
#Y  Copyright (C)  2005,  CMUP, Universidade do Porto, Portugal
##
##
###########################################################################

DeclareAttribute("HasCommutingIdempotents", IsSemigroup);

DeclareAttribute("IsInverseSemigroup", IsSemigroup);

DeclareGlobalFunction( "PartialTransformation" );

DeclareAttribute( "SmallGeneratingSetForSemigroups", IsSemigroup );

DeclareGlobalFunction( "ReduceNumberOfGenerators" );

###########################################################################
##
#F RightCayleyGraphAsAutomaton
##
## Computes the right Cayley graph of a finite monoid or semigroup. It uses the GAP 
## buit-in function CayleyGraphSemigroup to compute the Cayley Graph 
## and returns it as an automaton without initial and final states.
##
DeclareGlobalFunction( "RightCayleyGraphAsAutomaton" );
#############################################################################
DeclareSynonym( "RightCayleyGraphMonoidAsAutomaton", RightCayleyGraphAsAutomaton);


###########################################################################
##
#F DrawRightCayleyGraph
##
## Draws the right Cayley graph of a finite monoid or semigroup.
##
DeclareGlobalFunction( "DrawRightCayleyGraph" );
#############################################################################
DeclareSynonym( "DrawCayleyGraph", DrawRightCayleyGraph);
